/*!
 * @file pixie_icons.h
 *
 * Contains all Pixie "icon" types
 *
 * Last Updated by Connor Nishijima on 10/21/21
 */

#ifndef pixie_icons_h
#define pixie_icons_h

/* PIXIE BITMAP ICONS */ 

// ARROWS
const uint8_t PROGMEM ICON_ARROW_UP[5]         = {0x04,0x02,0x7F,0x02,0x04};
const uint8_t PROGMEM ICON_ARROW_UP_LEFT[5]    = {0x1E,0x06,0x0A,0x12,0x20};
const uint8_t PROGMEM ICON_ARROW_UP_RIGHT[5]   = {0x20,0x12,0x0A,0x06,0x1E};
const uint8_t PROGMEM ICON_ARROW_DOWN[5]       = {0x10,0x20,0x7F,0x20,0x10};
const uint8_t PROGMEM ICON_ARROW_DOWN_LEFT[5]  = {0x3C,0x30,0x28,0x24,0x02};
const uint8_t PROGMEM ICON_ARROW_DOWN_RIGHT[5] = {0x02,0x24,0x28,0x30,0x3C};
const uint8_t PROGMEM ICON_ARROW_LEFT[5]       = {0x08,0x1C,0x2A,0x08,0x08};
const uint8_t PROGMEM ICON_ARROW_RIGHT[5]      = {0x08,0x08,0x2A,0x1C,0x08};
const uint8_t PROGMEM ICON_UNDO[5]             = {0x24,0x2E,0x24,0x24,0x18};
const uint8_t PROGMEM ICON_REDO[5]             = {0x18,0x24,0x24,0x2E,0x24};
const uint8_t PROGMEM ICON_REFRESH[5]          = {0x1E,0x01,0x39,0x31,0x2E};
const uint8_t PROGMEM ICON_TRIANGLE_UP[5]      = {0x10,0x18,0x1C,0x18,0x10};
const uint8_t PROGMEM ICON_TRIANGLE_DOWN[5]    = {0x04,0x0C,0x1C,0x0C,0x04};
const uint8_t PROGMEM ICON_TRIANGLE_LEFT[5]    = {0x00,0x08,0x1C,0x3E,0x00};
const uint8_t PROGMEM ICON_TRIANGLE_RIGHT[5]   = {0x00,0x3E,0x1C,0x08,0x00};

// SYMBOLS
const uint8_t PROGMEM ICON_HEART[5]            = {0x0C,0x12,0x24,0x12,0x0C};
const uint8_t PROGMEM ICON_SMILE[5]            = {0x10,0x26,0x20,0x26,0x10};
const uint8_t PROGMEM ICON_FROWN[5]            = {0x20,0x16,0x10,0x16,0x20};
const uint8_t PROGMEM ICON_HAPPY[5]            = {0x16,0x22,0x20,0x22,0x16};
const uint8_t PROGMEM ICON_SAD[5]              = {0x44,0x26,0x20,0x26,0x44};
const uint8_t PROGMEM ICON_ANGRY[5]            = {0x49,0x2A,0x20,0x2A,0x49};
const uint8_t PROGMEM ICON_NO[5]               = {0x1C,0x32,0x2A,0x26,0x1C};
const uint8_t PROGMEM ICON_DO_NOT_ENTER[5]     = {0x1C,0x36,0x36,0x36,0x1C};
const uint8_t PROGMEM ICON_MAIL[5]             = {0x3E,0x26,0x2A,0x26,0x3E};
const uint8_t PROGMEM ICON_PHONE_CALL[5]       = {0x00,0x63,0x77,0x3E,0x00};
const uint8_t PROGMEM ICON_WIRELESS[5]         = {0x12,0x49,0x69,0x49,0x12};
const uint8_t PROGMEM ICON_FAIL[5]             = {0x22,0x14,0x08,0x14,0x22};
const uint8_t PROGMEM ICON_PASS[5]             = {0x10,0x20,0x10,0x08,0x04};
const uint8_t PROGMEM ICON_CROSS[5]            = {0x04,0x04,0x7F,0x04,0x04};
const uint8_t PROGMEM ICON_MEDIC_CROSS[5]      = {0x1C,0x36,0x22,0x36,0x1C};
const uint8_t PROGMEM ICON_SQUARE[5]           = {0x3E,0x22,0x22,0x22,0x3E};
const uint8_t PROGMEM ICON_TRIANGLE[5]         = {0x30,0x28,0x24,0x28,0x30};
const uint8_t PROGMEM ICON_CIRCLE[5]           = {0x1C,0x22,0x22,0x22,0x1C};
const uint8_t PROGMEM ICON_RECTANGLE[5]        = {0x7F,0x41,0x41,0x41,0x7F};
const uint8_t PROGMEM ICON_EXPORT[5]           = {0x74,0x42,0x5F,0x42,0x74};
const uint8_t PROGMEM ICON_SAVE[5]             = {0x3E,0x22,0x2E,0x26,0x3C};
const uint8_t PROGMEM ICON_CLOCK[5]            = {0x1C,0x22,0x2E,0x32,0x1C};
const uint8_t PROGMEM ICON_STOPWATCH[5]        = {0x38,0x4D,0x77,0x45,0x38};
const uint8_t PROGMEM ICON_TV[5]               = {0x7D,0x46,0x44,0x46,0x7D};
const uint8_t PROGMEM ICON_COPY[5]             = {0x0F,0x39,0x29,0x2F,0x3C};
const uint8_t PROGMEM ICON_DOCUMENT[5]         = {0x38,0x2C,0x2E,0x22,0x3E};
const uint8_t PROGMEM ICON_SMARTPHONE[5]       = {0x3E,0x41,0x61,0x41,0x3E};
const uint8_t PROGMEM ICON_BLUETOOTH[5]        = {0x14,0x08,0x7F,0x2A,0x14};
const uint8_t PROGMEM ICON_AIRPLANE[5]         = {0x08,0x44,0x7F,0x44,0x08};
const uint8_t PROGMEM ICON_GPS_PIN[5]          = {0x0E,0x11,0x65,0x11,0x0E};
const uint8_t PROGMEM ICON_STOCKS[5]           = {0x60,0x10,0x20,0x18,0x06};
const uint8_t PROGMEM ICON_TRUMP_STOCKS[5]     = {0x06,0x18,0x20,0x10,0x60};
const uint8_t PROGMEM ICON_HOUSE[5]            = {0x08,0x34,0x22,0x37,0x08};
const uint8_t PROGMEM ICON_FLOWER[5]           = {0x00,0x17,0x7D,0x27,0x00};
const uint8_t PROGMEM ICON_MUSIC_NOTE[5]       = {0x04,0x02,0x3F,0x70,0x20};
const uint8_t PROGMEM ICON_USB[5]              = {0x18,0x20,0x7F,0x08,0x06};
const uint8_t PROGMEM ICON_SERIAL[5]           = {0x00,0x2A,0x00,0x55,0x00};
const uint8_t PROGMEM ICON_MAGNIFYING_GLASS[5] = {0x0E,0x11,0x71,0x11,0x0E};
const uint8_t PROGMEM ICON_POWER[5]            = {0x38,0x44,0x5E,0x44,0x38};
const uint8_t PROGMEM ICON_CONTACT[5]          = {0x6E,0x71,0x71,0x71,0x6E};
const uint8_t PROGMEM ICON_CALENDAR[5]         = {0x3E,0x26,0x26,0x26,0x3E};
const uint8_t PROGMEM ICON_WRENCH[5]           = {0x06,0x7F,0x7C,0x7F,0x06};
const uint8_t PROGMEM ICON_POISON[5]           = {0x52,0x25,0x25,0x25,0x52};
const uint8_t PROGMEM ICON_GAS[5]              = {0x19,0x66,0x00,0x19,0x66};
const uint8_t PROGMEM ICON_TARGET[5]           = {0x1C,0x22,0x2A,0x22,0x1C};
const uint8_t PROGMEM ICON_BULB[5]             = {0x0E,0x71,0x61,0x71,0x0E};
const uint8_t PROGMEM ICON_MALE[5]             = {0x24,0x52,0x5F,0x52,0x24};
const uint8_t PROGMEM ICON_FEMALE[5]           = {0x26,0x29,0x79,0x29,0x26};
const uint8_t PROGMEM ICON_RIBBON[5]           = {0x46,0x29,0x11,0x29,0x46};
const uint8_t PROGMEM ICON_CAT[5]              = {0x3E,0x54,0x64,0x54,0x3E};
const uint8_t PROGMEM ICON_BONE[5]             = {0x63,0x7F,0x3E,0x7F,0x63};
const uint8_t PROGMEM ICON_EVIL_CORP[5]        = {0x06,0x3E,0x38,0x3E,0x06};
const uint8_t PROGMEM ICON_RUDE[5]             = {0x10,0x78,0x7E,0x78,0x30};
const uint8_t PROGMEM ICON_PADLOCK[5]          = {0x78,0x4E,0x49,0x4E,0x78};
const uint8_t PROGMEM ICON_KEY[5]              = {0x00,0x07,0x7D,0x57,0x00};
const uint8_t PROGMEM ICON_NFC[5]              = {0x3F,0x42,0x14,0x21,0x7E};
const uint8_t PROGMEM ICON_SYNC[5]             = {0x7F,0x20,0x14,0x02,0x7F};
const uint8_t PROGMEM ICON_INFO[5]             = {0x3E,0x7F,0x45,0x7F,0x3E};
const uint8_t PROGMEM ICON_HOURGLASS[5]        = {0x63,0x55,0x49,0x55,0x63};
const uint8_t PROGMEM ICON_POINTER[5]          = {0x7F,0x22,0x34,0x58,0x10};
const uint8_t PROGMEM ICON_CARET[5]            = {0x41,0x41,0x3E,0x41,0x41};
const uint8_t PROGMEM ICON_LIKE[5]             = {0x38,0x7C,0x7A,0x78,0x30};
const uint8_t PROGMEM ICON_DISLIKE[5]          = {0x1C,0x3E,0x5E,0x1E,0x0C};
const uint8_t PROGMEM ICON_REDDIT[5]           = {0x30,0x48,0x4E,0x4A,0x30};

// ELECTRONICS
const uint8_t PROGMEM ICON_OHM[5]           = {0x4E,0x71,0x01,0x71,0x4E};
const uint8_t PROGMEM ICON_ELECTRIC[5]      = {0x0C,0x4E,0x2F,0x1B,0x09};
const uint8_t PROGMEM ICON_ANTENNA[5]       = {0x03,0x05,0x7F,0x05,0x03};
const uint8_t PROGMEM ICON_RESISTOR_US[5]   = {0x00,0x04,0x6B,0x10,0x00};
const uint8_t PROGMEM ICON_RESISTOR_EU[5]   = {0x00,0x3E,0x63,0x3E,0x00};
const uint8_t PROGMEM ICON_CAPACITOR[5]     = {0x14,0x14,0x77,0x14,0x14};
const uint8_t PROGMEM ICON_CAPACITOR_POL[5] = {0x24,0x14,0x77,0x14,0x24};
const uint8_t PROGMEM ICON_DIODE[5]         = {0x24,0x34,0x6F,0x34,0x24};
const uint8_t PROGMEM ICON_ZENER[5]         = {0x22,0x34,0x6F,0x34,0x28};
const uint8_t PROGMEM ICON_TRANSISTOR[5]    = {0x08,0x3E,0x14,0x63,0x00};
const uint8_t PROGMEM ICON_FUSE[5]          = {0x3E,0x22,0x7F,0x22,0x3E};
const uint8_t PROGMEM ICON_INDUCTOR[5]      = {0x00,0x2A,0x6B,0x14,0x00};
const uint8_t PROGMEM ICON_SWITCH[5]        = {0x00,0x73,0x04,0x08,0x00};
const uint8_t PROGMEM ICON_SQUARE_WAVE[5]   = {0x0E,0x02,0x3E,0x20,0x38};
const uint8_t PROGMEM ICON_TRIANGLE_WAVE[5] = {0x08,0x04,0x08,0x10,0x08};
const uint8_t PROGMEM ICON_SAWTOOTH_WAVE[5] = {0x08,0x04,0x3E,0x10,0x08};
const uint8_t PROGMEM ICON_SINE_WAVE[5]     = {0x0C,0x02,0x1C,0x20,0x18};
const uint8_t PROGMEM ICON_DC[5]            = {0x14,0x04,0x14,0x04,0x14};
const uint8_t PROGMEM ICON_ARDUINO[5]       = {0x08,0x14,0x08,0x14,0x08};

// PLAYBACK
const uint8_t PROGMEM ICON_PLAY[5]         = {0x3E,0x1C,0x1C,0x08,0x00};
const uint8_t PROGMEM ICON_PAUSE[5]        = {0x3E,0x3E,0x00,0x3E,0x3E};
const uint8_t PROGMEM ICON_FORWARD[5]      = {0x3E,0x1C,0x3E,0x1C,0x08};
const uint8_t PROGMEM ICON_REVERSE[5]      = {0x08,0x1C,0x3E,0x1C,0x3E};
const uint8_t PROGMEM ICON_SKIP_FORWARD[5] = {0x3E,0x1C,0x08,0x3E,0x3E};
const uint8_t PROGMEM ICON_SKIP_BACK[5]    = {0x3E,0x3E,0x08,0x1C,0x3E};

// DICE
const uint8_t PROGMEM ICON_DICE_1[5] = {0x00,0x00,0x08,0x00,0x00};
const uint8_t PROGMEM ICON_DICE_2[5] = {0x20,0x00,0x00,0x00,0x02};
const uint8_t PROGMEM ICON_DICE_3[5] = {0x20,0x00,0x08,0x00,0x02};
const uint8_t PROGMEM ICON_DICE_4[5] = {0x22,0x00,0x00,0x00,0x22};
const uint8_t PROGMEM ICON_DICE_5[5] = {0x22,0x00,0x08,0x00,0x22};
const uint8_t PROGMEM ICON_DICE_6[5] = {0x2A,0x00,0x00,0x00,0x2A};

// WEATHER
const uint8_t PROGMEM ICON_RAIN[5]      = {0x30,0x48,0x44,0x42,0x3F};
const uint8_t PROGMEM ICON_SNOW[5]      = {0x2A,0x08,0x36,0x08,0x2A};
const uint8_t PROGMEM ICON_SUNNY[5]     = {0x2A,0x1C,0x3E,0x1C,0x2A};
const uint8_t PROGMEM ICON_CLOUDY[5]    = {0x28,0x24,0x24,0x2B,0x13};
const uint8_t PROGMEM ICON_WINDY[5]     = {0x28,0x2A,0x29,0x15,0x0A};
const uint8_t PROGMEM ICON_MOON[5]      = {0x20,0x20,0x30,0x3E,0x1C};
const uint8_t PROGMEM ICON_STAR[5]      = {0x2A,0x08,0x3E,0x08,0x2A};
const uint8_t PROGMEM ICON_ISS[5]       = {0x55,0x55,0x7F,0x49,0x5D};
const uint8_t PROGMEM ICON_SATELLITE[5] = {0x3E,0x3E,0x08,0x3E,0x3E};
const uint8_t PROGMEM ICON_METEOR[5]    = {0x2E,0x09,0x04,0x02,0x02};

// DITHER
const uint8_t PROGMEM ICON_DITHER_1[5]  = {0x00,0x11,0x00,0x00,0x00};
const uint8_t PROGMEM ICON_DITHER_2[5]  = {0x00,0x44,0x00,0x11,0x00};
const uint8_t PROGMEM ICON_DITHER_3[5]  = {0x00,0x55,0x00,0x44,0x00};
const uint8_t PROGMEM ICON_DITHER_4[5]  = {0x00,0x55,0x00,0x55,0x00};
const uint8_t PROGMEM ICON_DITHER_5[5]  = {0x22,0x55,0x00,0x55,0x22};
const uint8_t PROGMEM ICON_DITHER_6[5]  = {0x22,0x55,0x08,0x55,0x22};
const uint8_t PROGMEM ICON_DITHER_7[5]  = {0x2A,0x55,0x08,0x55,0x2A};
const uint8_t PROGMEM ICON_DITHER_8[5]  = {0x2A,0x55,0x2A,0x55,0x2A};
const uint8_t PROGMEM ICON_DITHER_9[5]  = {0x2A,0x55,0x2A,0x77,0x2A};
const uint8_t PROGMEM ICON_DITHER_10[5] = {0x2A,0x77,0x2A,0x5D,0x2A};
const uint8_t PROGMEM ICON_DITHER_11[5] = {0x2A,0x55,0x2A,0x7F,0x2A};
const uint8_t PROGMEM ICON_DITHER_12[5] = {0x2A,0x7F,0x2A,0x7F,0x2A};
const uint8_t PROGMEM ICON_DITHER_13[5] = {0x3B,0x7F,0x2A,0x7F,0x3B};
const uint8_t PROGMEM ICON_DITHER_14[5] = {0x3B,0x7F,0x6E,0x7F,0x3B};
const uint8_t PROGMEM ICON_DITHER_15[5] = {0x6E,0x7F,0x7F,0x7F,0x6E};
const uint8_t PROGMEM ICON_DITHER_16[5] = {0x7F,0x7F,0x7F,0x7F,0x7F};

// SPINNER
const uint8_t PROGMEM ICON_SPINNER_1[5]  = {0x00,0x00,0x7F,0x00,0x00};
const uint8_t PROGMEM ICON_SPINNER_2[5]  = {0x00,0x60,0x1C,0x03,0x00};
const uint8_t PROGMEM ICON_SPINNER_3[5]  = {0x40,0x30,0x08,0x06,0x01};
const uint8_t PROGMEM ICON_SPINNER_4[5]  = {0x20,0x10,0x08,0x04,0x02};
const uint8_t PROGMEM ICON_SPINNER_5[5]  = {0x10,0x08,0x08,0x08,0x04};
const uint8_t PROGMEM ICON_SPINNER_6[5]  = {0x08,0x08,0x08,0x08,0x08};
const uint8_t PROGMEM ICON_SPINNER_7[5]  = {0x04,0x08,0x08,0x08,0x10};
const uint8_t PROGMEM ICON_SPINNER_8[5]  = {0x02,0x04,0x08,0x10,0x20};
const uint8_t PROGMEM ICON_SPINNER_9[5]  = {0x01,0x06,0x08,0x30,0x40};
const uint8_t PROGMEM ICON_SPINNER_10[5] = {0x00,0x03,0x1C,0x60,0x00};

// TYPOGRAPHY
const uint8_t PROGMEM ICON_D_QUOTE_LEFT[5]    = {0x0E,0x0D,0x00,0x0E,0x0D};
const uint8_t PROGMEM ICON_D_QUOTE_RIGHT[5]   = {0x0D,0x0E,0x00,0x0D,0x0E};
const uint8_t PROGMEM ICON_D_QUOTE_RIGHT_2[5] = {0x0B,0x07,0x00,0x0B,0x07};
const uint8_t PROGMEM ICON_D_QUOTE_L_UNDER[5] = {0x70,0x68,0x00,0x70,0x68};
const uint8_t PROGMEM ICON_D_QUOTE_R_UNDER[5] = {0x68,0x70,0x00,0x68,0x70};
const uint8_t PROGMEM ICON_QUOTE_LEFT[5]      = {0x00,0x00,0x00,0x0E,0x0D};
const uint8_t PROGMEM ICON_QUOTE_RIGHT[5]     = {0x0D,0x0E,0x00,0x00,0x00};
const uint8_t PROGMEM ICON_QUOTE_RIGHT_2[5]   = {0x0B,0x07,0x00,0x00,0x00};
const uint8_t PROGMEM ICON_QUOTE_L_UNDER[5]   = {0x00,0x00,0x00,0x70,0x68};
const uint8_t PROGMEM ICON_QUOTE_R_UNDER[5]   = {0x68,0x70,0x00,0x00,0x00};
const uint8_t PROGMEM ICON_ANGLE_QUOTE_L[5]   = {0x08,0x14,0x22,0x08,0x14};
const uint8_t PROGMEM ICON_ANGLE_QUOTE_R[5]   = {0x14,0x08,0x22,0x14,0x08};
const uint8_t PROGMEM ICON_DEGREES[5]         = {0x02,0x05,0x02,0x00,0x00};
const uint8_t PROGMEM ICON_BITCOIN[5]         = {0x3E,0x6B,0x2A,0x6B,0x14};
const uint8_t PROGMEM ICON_CENTS[5]           = {0x1C,0x22,0x63,0x22,0x14};
const uint8_t PROGMEM ICON_EURO[5]            = {0x14,0x3E,0x55,0x55,0x41};
const uint8_t PROGMEM ICON_GBP[5]             = {0x48,0x3E,0x49,0x49,0x42};
const uint8_t PROGMEM ICON_YUAN[5]            = {0x01,0x2A,0x7C,0x2A,0x01};
const uint8_t PROGMEM ICON_RMB[5]             = {0x44,0x3D,0x05,0x7D,0x44};
const uint8_t PROGMEM ICON_JPY[5]             = {0x01,0x0A,0x7C,0x0A,0x01};
const uint8_t PROGMEM ICON_TRY[5]             = {0x0A,0x7F,0x4A,0x20,0x10};
const uint8_t PROGMEM ICON_CHF[5]             = {0x10,0x7F,0x15,0x15,0x05};
const uint8_t PROGMEM ICON_RUB[5]             = {0x28,0x7F,0x29,0x29,0x06};
const uint8_t PROGMEM ICON_INR[5]             = {0x15,0x15,0x15,0x2F,0x45};
const uint8_t PROGMEM ICON_MICRO[5]           = {0x00,0x7C,0x20,0x20,0x1C};
const uint8_t PROGMEM ICON_PI[5]              = {0x44,0x3C,0x04,0x7C,0x04};
const uint8_t PROGMEM ICON_COPYRIGHT[5]       = {0x00,0x1C,0x14,0x14,0x00};
const uint8_t PROGMEM ICON_ELLIPSIS[5]        = {0x20,0x00,0x20,0x00,0x20};

// DIACRITICS
const uint8_t PROGMEM ICON_A_ACUTE[5]         = {0x20,0x54,0x56,0x55,0x78};
const uint8_t PROGMEM ICON_A_CARON[5]         = {0x20,0x55,0x56,0x55,0x78};
const uint8_t PROGMEM ICON_A_CEDILLA[5]       = {0x08,0x55,0x35,0x15,0x1E}; 
const uint8_t PROGMEM ICON_A_CIRCUMFLEX[5]    = {0x20,0x56,0x55,0x56,0x78}; 
const uint8_t PROGMEM ICON_A_GRAVE[5]         = {0x20,0x54,0x55,0x56,0x78};
const uint8_t PROGMEM ICON_A_MACRON[5]        = {0x20,0x55,0x55,0x55,0x78};
const uint8_t PROGMEM ICON_A_OVERDOT[5]       = {0x20,0x54,0x55,0x54,0x78}; 
const uint8_t PROGMEM ICON_A_TILDE[5]         = {0x22,0x55,0x56,0x55,0x78}; 
const uint8_t PROGMEM ICON_A_UMLAUT[5]        = {0x20,0x55,0x54,0x55,0x78}; 
const uint8_t PROGMEM ICON_E_ACUTE[5]         = {0x38,0x56,0x55,0x54,0x18}; 
const uint8_t PROGMEM ICON_E_CEDILLA[5]       = {0x0E,0x55,0x35,0x15,0x06}; 
const uint8_t PROGMEM ICON_E_CIRCUMFLEX[5]    = {0x38,0x56,0x55,0x56,0x18}; 
const uint8_t PROGMEM ICON_E_GRAVE[5]         = {0x38,0x54,0x55,0x56,0x18};
const uint8_t PROGMEM ICON_E_MACRON[5]        = {0x38,0x55,0x55,0x55,0x18};
const uint8_t PROGMEM ICON_E_UMLAUT[5]        = {0x38,0x55,0x54,0x55,0x18}; 
const uint8_t PROGMEM ICON_I_ACUTE[5]         = {0x00,0x00,0x7A,0x01,0x00}; 
const uint8_t PROGMEM ICON_I_CARON[5]         = {0x00,0x01,0x7A,0x01,0x00};
const uint8_t PROGMEM ICON_I_CIRCUMFLEX[5]    = {0x00,0x02,0x79,0x02,0x00}; 
const uint8_t PROGMEM ICON_I_GRAVE[5]         = {0x00,0x01,0x7A,0x00,0x00};
const uint8_t PROGMEM ICON_I_MACRON[5]        = {0x00,0x02,0x7A,0x02,0x00}; 
const uint8_t PROGMEM ICON_I_UMLAUT[5]        = {0x00,0x02,0x78,0x02,0x00}; 
const uint8_t PROGMEM ICON_O_ACUTE[5]         = {0x38,0x44,0x46,0x45,0x38}; 
const uint8_t PROGMEM ICON_O_CIRCUMFLEX[5]    = {0x38,0x46,0x45,0x46,0x38}; 
const uint8_t PROGMEM ICON_O_GRAVE[5]         = {0x38,0x45,0x46,0x44,0x38};
const uint8_t PROGMEM ICON_O_MACRON[5]        = {0x38,0x45,0x45,0x45,0x38}; 
const uint8_t PROGMEM ICON_O_TILDE[5]         = {0x3A,0x45,0x46,0x45,0x38}; 
const uint8_t PROGMEM ICON_O_UMLAUT[5]        = {0x38,0x45,0x44,0x45,0x38}; 
const uint8_t PROGMEM ICON_U_ACUTE[5]         = {0x3C,0x40,0x42,0x21,0x7C}; 
const uint8_t PROGMEM ICON_U_CIRCUMFLEX[5]    = {0x38,0x42,0x41,0x22,0x78}; 
const uint8_t PROGMEM ICON_U_GRAVE[5]         = {0x3C,0x41,0x42,0x20,0x7C};
const uint8_t PROGMEM ICON_U_MACRON[5]        = {0x3C,0x41,0x41,0x21,0x7C}; 
const uint8_t PROGMEM ICON_U_UMLAUT[5]        = {0x3C,0x41,0x40,0x21,0x7C}; 
const uint8_t PROGMEM ICON_C_ACUTE[5]         = {0x30,0x4A,0x49,0x48,0x00};
const uint8_t PROGMEM ICON_C_CARON[5]         = {0x30,0x49,0x4A,0x49,0x00};
const uint8_t PROGMEM ICON_C_CEDILLA[5]       = {0x0C,0x52,0x32,0x12,0x00};
const uint8_t PROGMEM ICON_L_CEDILLA[5]       = {0x00,0x40,0x3F,0x00,0x00};
const uint8_t PROGMEM ICON_N_ACUTE[5]         = {0x7C,0x08,0x06,0x05,0x78};
const uint8_t PROGMEM ICON_N_CEDILLA[5]       = {0x1F,0x42,0x21,0x01,0x1E};
const uint8_t PROGMEM ICON_N_TILDE[5]         = {0x7A,0x11,0x0A,0x09,0x70};
const uint8_t PROGMEM ICON_S_ACUTE[5]         = {0x48,0x54,0x56,0x55,0x24};
const uint8_t PROGMEM ICON_S_CARON[5]         = {0x48,0x55,0x56,0x55,0x24};
const uint8_t PROGMEM ICON_Y_UMLAUT[5]        = {0x0C,0x51,0x50,0x51,0x3C}; 
const uint8_t PROGMEM ICON_Z_ACUTE[5]         = {0x44,0x64,0x56,0x4D,0x44};
const uint8_t PROGMEM ICON_Z_CARON[5]         = {0x44,0x65,0x56,0x4D,0x44};
const uint8_t PROGMEM ICON_Z_OVERDOT[5]       = {0x44,0x64,0x55,0x4C,0x44};

// GERMAN
const uint8_t PROGMEM ICON_ESZETT[5]          = {0x7E,0x01,0x45,0x4A,0x30};

// SLAVIC
const uint8_t PROGMEM ICON_L_SLAVIC[5]        = {0x20,0x10,0x7F,0x04,0x02};

// OLD ENGLISH
const uint8_t PROGMEM ICON_ETH_UPPER[5]       = {0x49,0x7F,0x49,0x41,0x3E};
const uint8_t PROGMEM ICON_ETH_LOWER[5]       = {0x00,0x35,0x4A,0x4D,0x38};
const uint8_t PROGMEM ICON_THORN[5]           = {0x7F,0x12,0x12,0x12,0x0C};

// TODO:
/*
0x40,0x48,0x3E,0x09,0x01 // CURLY F
0x00,0x04,0x3E,0x04,0x00 // DAGGER
0x00,0x14,0x3E,0x14,0x00 // DOUBLE DAGGER
0x00,0x08,0x1C,0x08,0x00 // MIDDOT
0x00,0x08,0x08,0x08,0x00 // HYPHEN
0x71,0x11,0x27,0x11,0x71 // TRADEMARK
0x26,0x49,0x55,0x49,0x32 // SUBSECTION
0x3E,0x49,0x55,0x41,0x3E // COPYRIGHT
0x17,0x08,0x34,0x22,0x70 // 1/4
0x17,0x08,0x04,0x6A,0x58 // 1/2
0x00,0x00,0x7D,0x00,0x00 // UPSIDE DOWN EXCLAMATION MARK
0x30,0x48,0x45,0x40,0x20 // UPSIDE DOWN QUESTION MARK
0x0F,0x05,0x77,0x50,0x50 // "PC"
*/

#endif
